package com.yihu.wlyy.entity.patient;

import java.util.Date;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.yihu.wlyy.entity.IdEntity;

/**
 * 患者病历记录表
 * @author George
 *
 */
@Entity
@Table(name = "wlyy_patient_medical_records")
public class PatientMedicalRecords extends IdEntity {

	/**
	 * 
	 */
	private static final long serialVersionUID = -6696738672473966174L;

	// 病历标识
	private String code;
	// 患者标识
	private String patient;
	// 医生标识
	private String doctor;
	// 医生姓名
	private String doctorName;
	// 类型：1记录，2片段
	private Integer type;
	// 病历标题
	private String title;
	// 主诉
	private String symptoms;
	// 咨询图片，多图以逗号分隔
	private String images;
	// 添加时间
	private Date czrq;
	// 作废标识，1正常，0作废
	private String del;

	public String getCode() {
		return code;
	}

	public void setCode(String code) {
		this.code = code;
	}

	public String getPatient() {
		return patient;
	}

	public void setPatient(String patient) {
		this.patient = patient;
	}

	public String getDoctor() {
		return doctor;
	}

	public void setDoctor(String doctor) {
		this.doctor = doctor;
	}

	@Column(name = "doctor_name")
	public String getDoctorName() {
		return doctorName;
	}

	public void setDoctorName(String doctorName) {
		this.doctorName = doctorName;
	}

	public Integer getType() {
		return type;
	}

	public void setType(Integer type) {
		this.type = type;
	}

	public String getTitle() {
		return title;
	}

	public void setTitle(String title) {
		this.title = title;
	}

	public String getSymptoms() {
		return symptoms;
	}

	public void setSymptoms(String symptoms) {
		this.symptoms = symptoms;
	}

	public String getImages() {
		return images;
	}

	public void setImages(String images) {
		this.images = images;
	}

	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+08:00")
	public Date getCzrq() {
		return czrq;
	}

	public void setCzrq(Date czrq) {
		this.czrq = czrq;
	}

	public String getDel() {
		return del;
	}

	public void setDel(String del) {
		this.del = del;
	}

}
